LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XUniqueIDFactory Interface Referencepublished

creates IDs which are unique within the container. More...

`import"XUniqueIDFactory.idl";`

Inheritance diagram for XUniqueIDFactory:

## Public Member Functions
string | createUniqueID ()
| creates a new ID, unique within this container. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

creates IDs which are unique within the container.

## Member Function Documentation

## ◆ createUniqueID()

string createUniqueID | ( |  | ) |

creates a new ID, unique within this container.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XUniqueIDFactory.idl